This forum is currently locked. You can't register or post questions at this time. (read more)

installing 10g r2 on OEL ( rpm throwing error)

All posts relating to Oracle database administration.

Moderator: Tim...

rst.oracle
Member
Posts: 8
Joined: Fri Sep 20, 2013 4:41 pm

installing 10g r2 on OEL ( rpm throwing error)

Postby rst.oracle » Mon Sep 23, 2013 3:34 pm

Hello Tim;

I am installing 10.2.0.1.0 on OEL5.
when installing rpms i am getting following error. This is the specific rpm ' rpm -Uvh glibc-2*'


# cd /media/Enterprise\ Linux\ dvd\ 20100405/Server/
[root@oel Server]# rpm -Uvh glibc-2*
...

....
with file from package glibc-2.5-49.i686
file /lib/libresolv-2.5.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /lib/librt-2.5.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /lib/libthread_db-1.0.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /lib/libutil-2.5.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /lib/rtkaio/librtkaio-2.5.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /sbin/ldconfig from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /sbin/sln from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/ANSI_X3.110.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/ARMSCII-8.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/ASMO_449.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/BIG5.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/BIG5HKSCS.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP10007.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1125.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1250.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1251.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1252.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1253.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1254.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1255.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1256.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1257.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP1258.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP737.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP775.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CP932.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CSN_369103.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/CWI.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/DEC-MCS.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/EBCDIC-AT-DE-A.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/EBCDIC-AT-DE.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/EBCDIC-CA-FR.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/EBCDIC-DK-NO-A.so from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/lib/gconv/EBCDIC-DK-NO.so from install of glibc-2.5-49.i386 co

...
...
s with file from package glibc-2.5-49.i686
file /usr/libexec/getconf/POSIX_V6_ILP32_OFF32 from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/libexec/getconf/POSIX_V6_ILP32_OFFBIG from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686
file /usr/sbin/iconvconfig from install of glibc-2.5-49.i386 conflicts with file from package glibc-2.5-49.i686

[root@oel Server]#
[root@oel Server]# rpm -qa | grep glibc-2*

.......... NOT INSTALLED ........... Any problem ??


Kindly help me on this.. Can i continue my installation ?? Yes this rpm is not installed.

Thanks tim ..

Tim...
Site Admin
Posts: 18437
Joined: Mon Nov 01, 2004 5:56 pm
Location: England, UK
Contact:

Re: installing 10g r2 on OEL ( rpm throwing error)

Postby Tim... » Mon Sep 23, 2013 8:58 pm

Hi.

You should complete the prerequisites if you want the installation to work.

If you are using OL5, you can complete most of the prerequisites automatically by doing the following command.

Code: Select all

$ yum install oracle-validated


This will use the public-yum.oracle.com Yum repository to install the necessary packages.

Cheers

Tim...
Tim...
Oracle ACE Director
Oracle ACE of the Year 2006 - Oracle Magazine Editors Choice Awards
OakTable Member
OCP DBA 7.3, 8, 8i, 9i, 10g, 11g
OCP Advanced PL/SQL Developer
Oracle Database: SQL Certified Expert
My website: http://www.oracle-base.com
My blog: http://www.oracle-base.com/blog

rst.oracle
Member
Posts: 8
Joined: Fri Sep 20, 2013 4:41 pm

Re: installing 10g r2 on OEL ( rpm throwing error)

Postby rst.oracle » Tue Sep 24, 2013 4:53 am

Thanks tim.

I have followed this link. http://taliphakanozturken.wordpress.com ... endencies/

# pwd
/etc/yum.repos.d
[root@oel yum.repos.d]# yum install oracle-validated
..
..
perl-Net-IP.noarch 1.25-2.fc6 cd
perl-Net-SSLeay.i386 1.30-4.fc6 cd
perl-Net-Telnet.noarch 3.03-5 cd
perl-Socket6.i386 0.19-3.fc6 cd
python-imaging-devel.i386 1.1.5-5.el5 cd
..
..
system-switch-mail-gnome.noarch 0.5.25-12 cd
systemtap-client.i386 1.1-3.el5 cd
tk-devel.i386 8.4.13-5.el5_1.1 cd
tkinter.i386 2.4.3-27.el5 cd
..
..
units.i386 1.85-1.2.2 cd
unixODBC.i386 2.2.11-7.1 cd
uuidd.i386 1.39-23.el5 cd
xdoclet-manual.i386 1.2.3-7jpp.2 cd
xen-libs.i386 3.0.3-105.el5 cd
xerces-j2.i386 2.7.1-7jpp.2.el5_4.2 cd
xerces-j2-demo.i386 2.7.1-7jpp.2.el5_4.2 cd
xorg-x11-drv-i810-devel.i386 1.6.5-9.36.el5 cd
xorg-x11-drv-via-devel.i386 0.2.1-9 cd
xorg-x11-fonts-ISO8859-14-100dpi.noarch 7.1-2.1.el5 cd
..
..
yum-fastestmirror.noarch 1.1.16-13.el5 cd
yum-filter-data.noarch 1.1.16-13.el5 cd
yum-keys.noarch 1.1.16-13.el5 cd
zsh-html.i386 4.2.6-3.el5 cd

[root@oel yum.repos.d]# yum install kernel-headers
Loaded plugins: security
Setting up Install Process
Package kernel-headers-2.6.18-194.el5.i386 already installed and latest version Nothing to do


[root@oel yum.repos.d]# yum install oracle-validated
Loaded plugins: security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package oracle-validated.i386 0:1.0.0-22.el5 set to be updated
--> Processing Dependency: libaio-devel for package: oracle-validated
--> Processing Dependency: unixODBC for package: oracle-validated
--> Processing Dependency: unixODBC-devel for package: oracle-validated
--> Running transaction check
---> Package libaio-devel.i386 0:0.3.106-5 set to be updated
---> Package unixODBC.i386 0:2.2.11-7.1 set to be updated
---> Package unixODBC-devel.i386 0:2.2.11-7.1 set to be updated
--> Finished Dependency Resolution
Dependencies Resolved
================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
oracle-validated i386 1.0.0-22.el5 cd 15 k
Installing for dependencies:
libaio-devel i386 0.3.106-5 cd 12 k
unixODBC i386 2.2.11-7.1 cd 830 k
unixODBC-devel i386 2.2.11-7.1 cd 743 k

Transaction Summary
================================================================================
Install 4 Package(s)
Upgrade 0 Package(s)

Total download size: 1.6 M
Is this ok [y/N]: y
Downloading Packages:
--------------------------------------------------------------------------------------
Total 65 MB/s | 1.6 MB 00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : libaio-devel 1/4
error: failed to stat /mnt/hgfs: No such file or directory

Installing : unixODBC 2/4
Installing : unixODBC-devel 3/4
Installing : oracle-validated 4/4

Installed:
oracle-validated.i386 0:1.0.0-22.el5

Dependency Installed:
libaio-devel.i386 0:0.3.106-5 unixODBC.i386 0:2.2.11-7.1
unixODBC-devel.i386 0:2.2.11-7.1

Complete!
[root@oel yum.repos.d]#


I am getting some error as

Installing : libaio-devel 1/4
error: failed to stat /mnt/hgfs: No such file or directory


please help me to resolve this.

Tim...
Site Admin
Posts: 18437
Joined: Mon Nov 01, 2004 5:56 pm
Location: England, UK
Contact:

Re: installing 10g r2 on OEL ( rpm throwing error)

Postby Tim... » Tue Sep 24, 2013 3:57 pm

Hi.

I don't know what is wrong with your installation. If I were you I would wipe it an reinstall the OS again.

Also, why are you using a 32-bit operating system? You should be using a 64-bit operating system with 64-bit Oracle.

Cheers

Tim...
Tim...
Oracle ACE Director
Oracle ACE of the Year 2006 - Oracle Magazine Editors Choice Awards
OakTable Member
OCP DBA 7.3, 8, 8i, 9i, 10g, 11g
OCP Advanced PL/SQL Developer
Oracle Database: SQL Certified Expert
My website: http://www.oracle-base.com
My blog: http://www.oracle-base.com/blog


Return to “Oracle Database Administration”

Who is online

Users browsing this forum: No registered users and 6 guests

cron